import type { MessageIndexFunction } from "@inlang/paraglide-js/internal";
/**
 * Maps canonical paths to translations for each language.
 *
 * @example
 * ```json
 * {
 *   "/": {
 *    "en": "/",
 *    "de": "/de"
 *   },
 *   "/about": {
 *     "en": "/about",
 *     "de": "/ueber-uns"
 *   },
 *   "/admin/users/[id]": {
 *     "en": "/admin/users/[id]",
 *     "de": "/admin/benutzer/[id]"
 *   }
 * }
 * ```
 */
export type UserPathTranslations<T extends string = string> = {
    [canonicalPath: `/${string}`]: Record<T, `/${string}`> | MessageIndexFunction<T>;
};
//# sourceMappingURL=pathTranslations.d.ts.map