import type { UserPathTranslations } from "./pathTranslations.js";
import type { PathDefinitionTranslations } from "@inlang/paraglide-js/internal/adapter-utils";
/**
 * Fully resolves all path translations.
 * If a path translation is a message-function, it will be evaluated for each language.
 *
 * Does NOT perform any validation.
 *
 * @param userTranslations The user-provided path translation configuration.
 * @param availableLanguageTags The available language tags.
 * @returns The resolved path translations.
 */
export declare function resolvePathTranslations<T extends string>(userTranslations: UserPathTranslations<T>, availableLanguageTags: readonly T[]): PathDefinitionTranslations<T>;
//# sourceMappingURL=resolvePathTranslations.d.ts.map