/**
 * Takes in the config provided by the user and returns the full config used internally.
 * All values not provided by the user are filled in with defaults.
 *
 * @param userConfig The user config
 * @returns The internal full config
 */
export function resolveConfig(userConfig) {
    const fullConfig = {
        project: userConfig.project,
        outdir: userConfig.outdir,
        silent: userConfig.silent,
        disablePreprocessor: userConfig.disablePreprocessor ?? false,
    };
    return fullConfig;
}
