import { paraglide as vitePluginParaglide } from "@inlang/paraglide-js-adapter-vite";
import { preprocessor } from "./preprocessor/index.js";
import { resolveConfig } from "./config.js";
// Vite's Plugin type is often incompatible between vite versions, so we use any here
export function paraglide(userConfig) {
    const config = resolveConfig(userConfig);
    const plugins = [vitePluginParaglide(config)];
    if (!config.disablePreprocessor) {
        plugins.push(registerPreprocessor(config));
    }
    return plugins;
}
/**
 * This plugin registers the preprocessor with Svelte.
 */
function registerPreprocessor(
// eslint-disable-next-line @typescript-eslint/no-unused-vars
_config) {
    const preprocessConfig = {};
    return {
        name: "paraglide-js-adapter-sveltekit-register-preprocessor",
        api: {
            //The Svelte vite-plugin looks for this and automatically adds it to the preprocess array
            sveltePreprocess: preprocessor(preprocessConfig),
        },
    };
}
