export function getElementsFromAst(ast, elementName) {
    const links = [];
    function walk(templateNode) {
        if (templateNode.type === "Element" && templateNode.name === elementName) {
            links.push(templateNode);
        }
        for (const child of templateNode.children || []) {
            walk(child);
        }
        if (templateNode.else)
            walk(templateNode.else);
        if (templateNode.then)
            walk(templateNode.then);
        if (templateNode.catch)
            walk(templateNode.catch);
    }
    walk(ast.html);
    return links;
}
export function hasSpreadAttribute(element) {
    return element.attributes.some((attribute) => attribute.type === "Spread");
}
export function getAttributeByName(element, name) {
    return element.attributes.find((attribute) => attribute.type === "Attribute" && attribute.name === name);
}
